(function ($) {
'use strict';

$ = 'default' in $ ? $['default'] : $;

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();







var get = function get(object, property, receiver) {
  if (object === null) object = Function.prototype;
  var desc = Object.getOwnPropertyDescriptor(object, property);

  if (desc === undefined) {
    var parent = Object.getPrototypeOf(object);

    if (parent === null) {
      return undefined;
    } else {
      return get(parent, property, receiver);
    }
  } else if ("value" in desc) {
    return desc.value;
  } else {
    var getter = desc.get;

    if (getter === undefined) {
      return undefined;
    }

    return getter.call(receiver);
  }
};

















var set = function set(object, property, value, receiver) {
  var desc = Object.getOwnPropertyDescriptor(object, property);

  if (desc === undefined) {
    var parent = Object.getPrototypeOf(object);

    if (parent !== null) {
      set(parent, property, value, receiver);
    }
  } else if ("value" in desc && desc.writable) {
    desc.value = value;
  } else {
    var setter = desc.set;

    if (setter !== undefined) {
      setter.call(receiver, value);
    }
  }

  return value;
};

var BasisDrawer = function () {
  function BasisDrawer() {
    classCallCheck(this, BasisDrawer);

    this.setIdForSubmenu();
    this.setListener();
  }

  createClass(BasisDrawer, [{
    key: 'setListener',
    value: function setListener() {
      var _this = this;

      var btns = $('[data-c="drawer-btn"][aria-controls]');
      btns.each(function (i, e) {
        var btn = $(e);
        var drawer = $('#' + btn.attr('aria-controls'));
        var container = drawer.parent('[data-c="drawer"]');

        container.on('click', function (event) {
          _this.close(btn);
          _this.hidden(drawer);
          _this.close(drawer.find('[data-c="drawer__toggle"]'));
          _this.hidden(drawer.find('[data-c="drawer__submenu"]'));
        });

        drawer.on('click', function (event) {
          event.stopPropagation();
        });

        btn.on('click', function (event) {
          event.preventDefault();
          _this.toggleMenu(btn);
          event.stopPropagation();
        });

        $(window).on('resize', function (event) {
          _this.hidden(drawer);
          _this.close(btn);
        });
      });

      var toggleBtns = $('[data-c="drawer__toggle"][aria-controls]');
      toggleBtns.each(function (i, e) {
        var toggleBtn = $(e);
        var submenu = $('#' + toggleBtn.attr('aria-controls'));
        toggleBtn.on('click', function (event) {
          event.preventDefault();
          event.stopPropagation();
          _this.toggleMenu(toggleBtn);
        });
      });
    }
  }, {
    key: 'toggleMenu',
    value: function toggleMenu(btn) {
      var menu = $('#' + btn.attr('aria-controls'));
      if ('false' == btn.attr('aria-expanded')) {
        this.open(btn);
        this.show(menu);
      } else {
        this.close(btn);
        this.hidden(menu);
        this.close(menu.find('[data-c="drawer__toggle"]'));
        this.hidden(menu.find('[data-c="drawer__submenu"]'));
      }
    }
  }, {
    key: 'open',
    value: function open(target) {
      target.attr('aria-expanded', 'true');
    }
  }, {
    key: 'close',
    value: function close(target) {
      target.attr('aria-expanded', 'false');
    }
  }, {
    key: 'show',
    value: function show(target) {
      target.attr('aria-hidden', 'false');
    }
  }, {
    key: 'hidden',
    value: function hidden(target) {
      target.attr('aria-hidden', 'true');
    }
  }, {
    key: 'setIdForSubmenu',
    value: function setIdForSubmenu() {
      $('[data-c="drawer__submenu"][aria-hidden]').each(function (i, e) {
        var random = Math.floor(Math.random() * (9999999 - 1000000) + 1000000);
        var time = new Date().getTime();
        var id = 'drawer-' + time + random;
        var submenu = $(e);
        var toggleBtn = submenu.siblings('[data-c="drawer__toggle"]');
        if (submenu.length && toggleBtn.length) {
          submenu.attr('id', id);
          toggleBtn.attr('aria-controls', '' + id);
        }
      });
    }
  }]);
  return BasisDrawer;
}();

var BasisNavbar = function () {
  function BasisNavbar() {
    classCallCheck(this, BasisNavbar);

    this.items = $('[data-c="navbar__item"][aria-haspopup="true"], [data-c="navbar__subitem"][aria-haspopup="true"]');
    this.setListener();
  }

  createClass(BasisNavbar, [{
    key: 'setListener',
    value: function setListener() {
      var _this = this;

      this.items.each(function (i, e) {
        var item = $(e);
        item.on('mouseover focus', function (event) {
          _this.show(item.children('[data-c="navbar__submenu"]'));
        });

        item.on('mouseleave', function (event) {
          _this.hidden(item.children('[data-c="navbar__submenu"]'));
        });
      });
    }
  }, {
    key: 'show',
    value: function show(submenu) {
      submenu.attr('aria-hidden', 'false');
    }
  }, {
    key: 'hidden',
    value: function hidden(submenu) {
      submenu.attr('aria-hidden', 'true');
    }
  }]);
  return BasisNavbar;
}();

var BasisPageEffect = function () {
  function BasisPageEffect(params) {
    classCallCheck(this, BasisPageEffect);

    this.params = $.extend({
      duration: 200
    }, params);
    this.container = $('[data-c="page-effect"]');
    this.pageOutObject = $('[data-page-effect-link="true"], a[href]:not([target="_blank"], [href^="#"], [href*="javascript"], [href*=".jpg"], [href*=".jpeg"], [href*=".gif"], [href*=".png"], [href*=".mov"], [href*=".swf"], [href*=".mp4"], [href*=".flv"], [href*=".avi"], [href*=".mp3"], [href*=".pdf"], [href*=".zip"], [href^="mailto:"], [data-page-effect-link="false"])');
    this.setListener();
  }

  createClass(BasisPageEffect, [{
    key: 'setListener',
    value: function setListener() {
      var _this = this;

      $(window).on('load', function (event) {
        _this.hide();
      });

      this.pageOutObject.each(function (i, e) {
        var link = $(e);
        link.on('click', function (event) {
          if (event.shiftKey || event.ctrlKey || event.metaKey) {
            return;
          }

          event.preventDefault();
          _this.show();
          var url = link.attr('href');
          _this.moveLocation(url);
        });
      });
    }
  }, {
    key: 'moveLocation',
    value: function moveLocation(url) {
      setTimeout(function () {
        location.href = url;
      }, this.params['duration']);
    }
  }, {
    key: 'hide',
    value: function hide() {
      this.container.attr('aria-hidden', 'true').attr('data-page-effect', 'fadein');
    }
  }, {
    key: 'show',
    value: function show() {
      this.container.attr('aria-hidden', 'false').attr('data-page-effect', 'fadeout');
    }
  }]);
  return BasisPageEffect;
}();

new BasisDrawer();

new BasisNavbar();

new BasisPageEffect();

/**
 * This is for the sticky header.
 */

var BasisStickyHeader = function () {
  function BasisStickyHeader() {
    classCallCheck(this, BasisStickyHeader);

    this.container = $('[data-l="container"]');
    this.header = $('[data-l="header"]');
    this.contents = $('[data-l="contents"]');
    this.windowScroll = $('html').attr('data-window-scroll');

    this.setScroll();
    this.setSticky();
    this.setListener();
  }

  createClass(BasisStickyHeader, [{
    key: 'setListener',
    value: function setListener() {
      var _this = this;

      var target = this.getScrollTarget();

      target.on('scroll resize', function (event) {
        _this.setScroll();
        _this.setSticky();
      });
    }
  }, {
    key: 'setScroll',
    value: function setScroll() {
      var scroll = this.getScrollTop();

      if (scroll > 0) {
        $('html').attr('data-scrolled', 'true');
      } else {
        $('html').attr('data-scrolled', 'false');
      }
    }
  }, {
    key: 'setSticky',
    value: function setSticky() {
      if ('sticky' !== this.header.attr('data-l-header-type')) {
        return;
      }

      var scroll = this.getScrollTop();
      if (scroll > 0) {
        var headerHeight = this.header.outerHeight();
        this.contents.css('paddingTop', headerHeight + 'px');
      } else {
        this.contents.css('paddingTop', '');
      }
    }
  }, {
    key: 'getScrollTarget',
    value: function getScrollTarget() {
      if ('false' == this.windowScroll) {
        return this.container;
      } else {
        return $(window);
      }
    }
  }, {
    key: 'getScrollTop',
    value: function getScrollTop() {
      return this.getScrollTarget().scrollTop();
    }
  }]);
  return BasisStickyHeader;
}();

var FixAdminBar = function () {
  function FixAdminBar() {
    var _this = this;

    classCallCheck(this, FixAdminBar);

    this.min = 599;
    this.container = $('[data-l="container"]');
    this.header = $('[data-l="header"]');
    this.contents = $('[data-l="contents"]');

    $(function () {
      _this.adminBar = $('#wpadminbar');

      if (_this.adminBar.length) {
        _this.fixHeaderPosition();
        _this.fixStickyFooter();
        _this.fixDisableWindowScroll();
        _this.setListener();
      }
    });
  }

  createClass(FixAdminBar, [{
    key: 'setListener',
    value: function setListener() {
      var _this2 = this;

      $(window).resize(function () {
        _this2.fixHeaderPosition();
        _this2.fixStickyFooter();
        _this2.fixDisableWindowScroll();
      });

      $(window).scroll(function () {
        _this2.fixHeaderPosition();
      });
    }
  }, {
    key: 'fixHeaderPosition',
    value: function fixHeaderPosition() {
      if (-1 !== $.inArray(this.header.attr('data-l-header-type'), ['sticky', 'overlay'])) {
        var scroll = $(window).scrollTop();

        if (this.min > $(window).outerWidth()) {
          if (scroll >= this.adminBar.outerHeight()) {
            this.header.css('top', 0);
          } else {
            this.header.css('top', '');
            $('html').attr('data-scrolled', false);
            this.contents.css('padding-top', 0);
          }
        } else {
          this.header.css('top', '');
        }
      }
    }
  }, {
    key: 'fixStickyFooter',
    value: function fixStickyFooter() {
      if ('true' == $('html').attr('data-sticky-footer')) {
        var adminbar_height = parseInt(this.adminBar.outerHeight());
        this.container.css('min-height', 'calc(100vh - ' + adminbar_height + 'px)');
      }
    }
  }, {
    key: 'fixDisableWindowScroll',
    value: function fixDisableWindowScroll() {
      if ('false' == $('html').attr('data-window-scroll')) {
        var adminbar_height = parseInt(this.adminBar.outerHeight());
        this.container.css('max-height', 'calc(100vh - ' + adminbar_height + 'px)');
      }
    }
  }]);
  return FixAdminBar;
}();

new BasisStickyHeader();

new FixAdminBar();

}(jQuery));
